/*
 *  Copyright (c) 2009 Cyrille Berger <cberger@cberger.net>
 *
 * This library is free software; you can redistribute it and/or
 * modify it under the terms of the GNU Lesser General Public
 * License as published by the Free Software Foundation;
 * either version 2, or (at your option) any later version of the License.
 *
 * This library is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
 * Lesser General Public License for more details.
 *
 * You should have received a copy of the GNU Lesser General Public License
 * along with this library; see the file COPYING.  If not, write to
 * the Free Software Foundation, Inc., 51 Franklin Street, Fifth Floor,
 * Boston, MA 02110-1301, USA.
 */

#include "Version.h"


namespace GTLImageIO {
  GTLCore::String LibraryShortName() { return "OpenGTL ImageIO"; }
  GTLCore::String LibraryName() { return "Open Graphics Transformation Languages Image Input/Output"; }
  GTLCore::String LibraryCopyright() { return "Copyright (c) 2008-2010 Cyrille Berger (cberger@cberger.net)"; }
  GTLCore::String LibraryLicence() { return "GNU Lesser General Public License Version 2, or later"; }
  GTLCore::String LibraryVersionString() { return GTLCore::String::number( GTLIMAGEIO_VERSION_MAJOR ) + "." + GTLCore::String::number( GTLIMAGEIO_VERSION_MINOR ) + "." + GTLCore::String::number( GTLIMAGEIO_VERSION_REVISION ); }
  int LibraryVersionMajor()
  {
      return GTLIMAGEIO_VERSION_MAJOR;
  }
  int LibraryVersionMinor()
  {
      return GTLIMAGEIO_VERSION_MINOR;
  }
  int LibraryVersionRevision()
  {
      return GTLIMAGEIO_VERSION_REVISION;
  }
  int LanguageVersion()
  {
      return 1;
  }
  
}

