/*
 *  Copyright (c) 2010 Cyrille Berger <cberger@cberger.net>
 *
 * This library is free software; you can redistribute it and/or
 * modify it under the terms of the GNU Lesser General Public
 * License as published by the Free Software Foundation;
 * either version 2, or (at your option) any later version of the License.
 *
 * This library is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
 * Lesser General Public License for more details.
 *
 * You should have received a copy of the GNU Lesser General Public License
 * along with this library; see the file COPYING.  If not, write to
 * the Free Software Foundation, Inc., 51 Franklin Street, Fifth Floor,
 * Boston, MA 02110-1301, USA.
 */

#include <GTLCore/String.h>

namespace GTLCore {
  class TimeMachine;
}

namespace OpenShiva {
  class Kernel;
}

namespace shivanimator {
  class Parser {
    public:
      Parser();
      ~Parser();
      GTLCore::TimeMachine* timeMachine();
      OpenShiva::Kernel* kernel();
      bool parse(const GTLCore::String& filename);
      double start() const;
      double end() const;
      int frameRate() const;
    private:
      GTLCore::TimeMachine* m_timeMachine;
      OpenShiva::Kernel* m_kernel;
      double m_start, m_end;
      int m_frameRate;
  };
}